using System;
using System.Reflection;

internal sealed class Delegate640 : MulticastDelegate
{
	public extern PropertyInfo Invoke(object object_0, string string_0);

	public static PropertyInfo smethod_0(object object_0, string string_0, Delegate640 delegate640_1)
	{
		return delegate640_1(object_0, string_0);
	}

	public extern Delegate640(object object_0, IntPtr intptr_0);

	static Delegate640()
	{
		Class10.smethod_13(typeof(Delegate640).TypeHandle);
	}

	internal static Delegate640 delegate640_0;
}
